Rated 5 out of 5 stars

Please make compatible to FF 4 beta 4/5

This review is for a previous version of the add-on (1.6.0.7.1-signed).